Subject: Re: [ofa-general] Re: [PATCH 2/3][NET_BATCH] net core use batching

From: jamal <[email-masked]>
Date: Tue, 09 Oct 2007 17:56:46 -0400

On Tue, 2007-09-10 at 14:22 -0700, David Miller wrote:

> Even if the device has "huge queues" I still think we need a software
> queue for when the hardware one backs up.

It should be fine to just "pretend" the qdisc exists despite it sitting
in the driver and not have s/ware queues at all to avoid all the
challenges that qdiscs bring; 
if the h/ware queues are full because of link pressure etc, you drop. We
drop today when the s/ware queues are full. The driver txmit lock takes
place of the qdisc queue lock etc. I am assuming there is still need for
that locking. The filter/classification scheme still works as is and
select classes which map to rings. tc still works as is etc.

cheers,
jamal